Bug 1418228 - [RFE] Gluster block storage
Summary: [RFE] Gluster block storage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.3.0
Assignee: Prasanna Kumar Kalever
QA Contact: surabhi
URL:
Whiteboard:
Depends On: 1366062 1367574 1467935
Blocks: 1417138 1436700
TreeView+ depends on / blocked
 
Reported: 2017-02-01 10:54 UTC by Prasanna Kumar Kalever
Modified: 2020-05-14 15:35 UTC (History)
7 users (show)

Fixed In Version: gluster-block-0.1.1-1
Doc Type: Enhancement
Doc Text:
gluster-block is a distributed management framework for block devices, provided as a command line utility. It aims to make Gluster-backed block storage creation and maintenance as simple as possible. gluster-block can provision block devices and export them as iSCSI LUNs across multiple nodes, and uses iSCSI protocol for data transfer as SCSI block/commands. Block storage allows the creation of high performance individual storage units. Unlike the traditional file storage capability that glusterfs supports, each storage volume/block device can be treated as an independent disk drive, so that each storage volume/block device can support an individual file system. This has utility for a variety of workloads, including database, virtual machine, and container environments.
Clone Of:
: 1436700 (view as bug list)
Environment:
Last Closed: 2017-09-21 04:17:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:2773 0 normal SHIPPED_LIVE new packages: gluster-block 2017-09-21 08:16:22 UTC

Description Prasanna Kumar Kalever 2017-02-01 10:54:53 UTC
Description of problem:
For applications which needs many individual storage units (formatable), at the same time requiring high performance, gluster need to come up with block storage solution. Because sometime it is hard to maintain too many small volumes. For such use cases which needs independent disk drives it will be effective to support block storage capability.

Use cases:
Databases (Cassandra, Elastic search), VM images, Server boot and etc.

Management:
Need to build utilities which help in making it simple and easy to use. Block storage design should qualify for the container use cases(such as Kubernetes) as well.

More discussion at [1]

[1] http://lists.gluster.org/pipermail/gluster-devel/2017-January/051957.html

Comment 2 Atin Mukherjee 2017-02-23 14:31:53 UTC
Upstream work is almost ready and github link : https://github.com/gluster/gluster-block

Comment 4 Prasanna Kumar Kalever 2017-03-30 11:54:40 UTC
The upstream release was done.
One can find the packages at https://download.gluster.org/pub/gluster/gluster-block/

Comment 7 surabhi 2017-06-13 09:40:35 UTC
Gluster block storage builds were provided along with tcmu-runner and other dependent packages. testing is been carried out. Issues are getting reported separately. Since the feature is available marking the RFE to verified.

Comment 14 errata-xmlrpc 2017-09-21 04:17:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2773


Note You need to log in before you can comment on or make changes to this bug.